package com.jwk.spring.boot.constant;

/**
 * @Author JWK
 * @Date 2021/7/20
 * @Version 1.0
 */
public class Constant {


    /**
     * 功能码
     */
    public enum FUNCTION_CODE {
        /***
         * 读线圈寄存器
         */
        READ_01H(0x01),
        /***
         * 读保持寄存器
         */
        READ_03H(0x03),
        /***
         * 写单个线圈寄存器
         */
        WRITE_05H(0x05),
        /***
         * 写单个保持寄存器
         */
        WRITE_06H(0x06);

        private Integer value;

        FUNCTION_CODE(Integer value) {
            this.value = value;
        }

        public Integer getValue() {
            return value;
        }
    }

}
